Subject: Re: bug#14350: 24.3; octave mode comment indentation

From: Stefan Monnier <[email-masked]>
Date: Fri, 10 May 2013 23:35:14 -0400

>> Of course.  In the very worst case you can change (buffer-locally)
>> smie-indent-functions to add any ad-hoc rule.
>> But maybe this can be fixed globally in smie-indent-comment.
> Thanks for the comment (did I just use a pun?).
> Unfortunately I have little knowledge of smie so I have to rely on
> others to get this to behave. Thanks in advance.

No, no, you don't.  smie-indent-functions is just a hook that runs
functions that come up with some indentation choice.  It basically sits
between line-indent-function and smie proper.  You can add your own
function which will not itself need to use anything from smie.
Look at its docstring.

        Stefan